=== debian/changelog ===
clpeak (1.1.0-2) unstable; urgency=medium

  * Source-only upload to migrate into testing 

 -- Neil Williams <codehelp@debian.org>  Fri, 12 Nov 2021 12:08:46 +0000

clpeak (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #994549)
  * Include patch from upstream to use opencl.hpp
  * Add OpenCL team as Maintainer

 -- Neil Williams <codehelp@debian.org>  Fri, 17 Sep 2021 16:12:45 +0100
