=== debian/control ===
Source: clpeak
Section: devel
Priority: optional
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Neil Williams <codehelp@debian.org>,
Build-Depends:
	debhelper-compat (= 13),
	cmake,
	ocl-icd-opencl-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/krrishnarraj/clpeak
Vcs-Browser: https://salsa.debian.org/opencl-team/clpeak
Vcs-Git: https://salsa.debian.org/opencl-team/clpeak.git
Rules-Requires-Root: no

Package: clpeak
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Profile OpenCL devices to find peak capacities
 Clpeak is a synthetic benchmarking tool to measure peak capabilities
 of opencl devices. It only measures the peak metrics that can be
 achieved using vector operations and does not represent a real-world
 use case
