=== debian/changelog ===
clpeak (1.1.2-4) unstable; urgency=medium

  * d/t/control: Restrict architecture for the pocl test.
  * d/t/upstream-binaries: Fixed once again

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 13 Oct 2024 06:30:02 +0200

clpeak (1.1.2-3) unstable; urgency=medium

  * d/t/control: Added test with pocl and fix the rocm test

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 12 Oct 2024 10:30:40 +0200

clpeak (1.1.2-2) unstable; urgency=medium

  * Team upload
  * d/t/*: first attempt to add amd-ci tests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 09 Oct 2024 17:43:59 +0200

clpeak (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch now applied upstream
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Neil Williams <codehelp@debian.org>  Fri, 22 Apr 2022 14:22:05 +0100
