## clpeak 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 project(clpeak)
 
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/common.cmake)
+include(GNUInstallDirs)
 
 if (NOT CMAKE_BUILD_TYPE)
   message(STATUS "Setting build type to Release")
@@ -48,6 +49,8 @@
     src/compute_dp.cpp
     src/compute_integer.cpp
     src/compute_integer_fast.cpp
+    src/compute_char.cpp
+    src/compute_short.cpp
     src/transfer_bandwidth.cpp
     src/kernel_latency.cpp
     src/entry.cpp
@@ -65,7 +68,7 @@
 endif()
 
 install(TARGETS clpeak RUNTIME DESTINATION bin)
-install(FILES LICENSE DESTINATION share/clpeak)
+install(FILES LICENSE DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/clpeak")
 
 enable_testing()
 add_test(clpeak_test_run clpeak)
