=== debian/changelog ===
clpeak (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 Dec 2024 11:54:33 +0100
