=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	debhelper-compat (= 13),
 	cmake,
 	ocl-icd-opencl-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/krrishnarraj/clpeak
 Vcs-Browser: https://salsa.debian.org/opencl-team/clpeak
 Vcs-Git: https://salsa.debian.org/opencl-team/clpeak.git
