## clpeak 1.1.5

=== debian/changelog ===
clpeak (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 14:39:33 +0200
