=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DOpenCL_INCLUDE_DIRS=/usr/include/CL

override_dh_auto_install:
	dh_auto_install
	dh_installman debian/clpeak.1
	# drop copy of LICENSE file and empty dir.
	$(RM) -rf debian/clpeak/usr/share/clpeak/
