=== debian/tests/control ===
Test-Command: clpeak
Depends: clpeak, pocl-opencl-icd
Restrictions: skippable, allow-stderr
Architecture: amd64 arm64 armel armhf i386

Test-Command: /bin/sh debian/tests/upstream-binaries clpeak
Depends: clpeak, rocminfo, rocm-opencl-icd
Restrictions: skippable, allow-stderr, needs-sudo
Architecture: amd64 arm64 ppc64el
